import React, { useEffect } from 'react';
import { StatusBar, Text, TouchableOpacity } from 'react-native';
import { styles } from './styles';

const CloseButton = _ref => {
  let {
    handed,
    onClose,
    closeButtonColor
  } = _ref;
  useEffect(() => {
    StatusBar.setHidden(true);
    return () => {
      StatusBar.setHidden(false);
    };
  }, []);

  const onCloseHandler = () => {
    if (onClose) onClose();
  };

  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: handed ? styles.closeBtnLeftHand : styles.closeBtn,
    onPress: onCloseHandler
  }, /*#__PURE__*/React.createElement(Text, {
    style: {
      color: closeButtonColor !== null && closeButtonColor !== void 0 ? closeButtonColor : '#FFFFFF',
      fontSize: 25
    }
  }, `✕`));
};

export default CloseButton;
//# sourceMappingURL=CloseButton.js.map