import React, { useEffect, useState } from 'react';
import { gestureHandlerRootHOC } from 'react-native-gesture-handler';
import Animated from 'react-native-reanimated';
import ErrorComponent from './ErrorComponent';
const ViewGestureHandlerRootHOC = gestureHandlerRootHOC(_ref => {
  let {
    imageUri,
    bgColor,
    transXYStyle,
    token,
    tokenHeader,
    requestMethod
  } = _ref;
  const [isError, setIsError] = useState(false);
  const [thisImage, setThisImage] = useState(undefined);
  useEffect(() => {
    if (imageUri !== null && imageUri !== void 0 && imageUri.uri) {
      if (token) {
        var _imageUri$uri;

        setThisImage({
          uri: imageUri === null || imageUri === void 0 ? void 0 : (_imageUri$uri = imageUri.uri) === null || _imageUri$uri === void 0 ? void 0 : _imageUri$uri.trim(),
          headers: {
            auth: `${tokenHeader === null || tokenHeader === void 0 ? void 0 : tokenHeader.trim()} ${token === null || token === void 0 ? void 0 : token.trim()}`,
            Authorization: `${tokenHeader === null || tokenHeader === void 0 ? void 0 : tokenHeader.trim()} ${token === null || token === void 0 ? void 0 : token.trim()}`
          },
          method: requestMethod
        });
      } else {
        setThisImage(imageUri);
      }
    }
  }, [imageUri]);

  const onImageLoadedHandler = e => {
    var _e$nativeEvent, _e$nativeEvent$source;

    if (isError && (e === null || e === void 0 ? void 0 : (_e$nativeEvent = e.nativeEvent) === null || _e$nativeEvent === void 0 ? void 0 : (_e$nativeEvent$source = _e$nativeEvent.source) === null || _e$nativeEvent$source === void 0 ? void 0 : _e$nativeEvent$source.width) >= 0) {
      setIsError(false);
    }
  };

  const onImageErrorHandler = error => {
    var _error$nativeEvent;

    console.log("[SimpleImageViewer] error : ", error === null || error === void 0 ? void 0 : (_error$nativeEvent = error.nativeEvent) === null || _error$nativeEvent === void 0 ? void 0 : _error$nativeEvent.error);
    setIsError(true);
  };

  return thisImage !== null && thisImage !== void 0 && thisImage.uri ? /*#__PURE__*/React.createElement(Animated.View, {
    style: {
      flex: 1,
      backgroundColor: bgColor
    }
  }, isError ? /*#__PURE__*/React.createElement(ErrorComponent, {
    transXYStyle: transXYStyle,
    size: 'big'
  }) : /*#__PURE__*/React.createElement(Animated.Image, {
    style: [transXYStyle, {
      flex: 1
    }],
    onLoad: onImageLoadedHandler,
    onError: onImageErrorHandler,
    source: thisImage,
    resizeMode: 'contain'
  })) : null;
});
export default ViewGestureHandlerRootHOC;
//# sourceMappingURL=ViewGestureHandlerRootHOC.js.map